﻿;;;-*- Mode: Lisp; Package: "OMAS" -*-
;;;==========================================================================
;;;14/03/07
;;;		
;;;		P A T C H E S - (File omas-patches.lisp)
;;;		Copyright Barthes@UTC 2011
;;;
;;;==========================================================================

;;; the file is loaded after the main compiled files. Since the distributed 
;;; version of OMAS does not contain the compiler, the source is loaded, 
;;; meaning that the functions will be interpreted rather than compiled, which
;;; is not crucial in general since it concerns a few functions only.

;;; the following patch is changing the way the patches are being loaded
;;; Loading this file will load the patch files from the omas-patches-vnn 
;;; folder where nn is the current OMAS version, e.g. 8.0.9
;;; the actual patch files are named P8.0.9.n (n from 0 to n)

#|
2011
 0707 removing wired in patch version number
2014
 0307 -> utf8
|#

(in-package :omas)

(eval-when (:compile-toplevel :load-toplevel :execute)
  
  (defParameter *patch-folder*
    (make-pathname  :directory (append
                                (pathname-directory *omas-directory*)
                                (list "OMAS" "OMAS source"
                                      (format nil "omas-patches-v~A" 
                                              *omas-version-number*)))
                    :name :wild
                    :type "lisp"
                    :defaults *omas-directory*))
  
  ;; should get the names of the files inside the folder
  ;; when folder does not exist returns nil
  (defParameter *patch-file-list* (directory *patch-folder*))
  
  ;; load patches for this version
  
  (when *patch-file-list*
    (dolist (patch *patch-file-list*)
      (load patch :external-format :utf-8)))
  )

(format t "~%;*** OMAS v~A - Patches loaded ***" *omas-version-number*)
